Skip to main content
GET
Get single notification profile

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

profileId
string
required

Notification profile ID.

Response

Success.

Notification profile.

profileId
string

Unique profile ID.

webhook
Webhook · object

Webhook configuration.

security
Security · object

Security configuration.

clientCertificateId
string

Client certificate ID.

maxBucketSize
integer<int32>

Specifies a maximum number of messages to be sent within a single request.

windowSize
integer<int32>

A maximum number of concurrent connections (active requests) per client.

connectTimeout
integer<int32>

Time in milliseconds sender system waits for connection acknowledgement until the connection is closed.

readTimeout
integer<int32>

A maximum period of inactivity in milliseconds between two consecutive data packets.

enabledSSLProtocols
enum<string>[]

Specifies which security protocols should be used to send a HTTP request. Multiple options can be used.

Specifies which security protocols should be used to send a HTTP request. Multiple options can be used.

Available options:
TLSv1.2,
TLSv1.3
headers
object

Set of key:value pairs that will be sent in a HTTP request as headers.

responseRegex
string

Response regex.

responseBodyRegex
string

Response body regex.

rateLimit
integer<int32>

Limits the number of requests per second.